# Retrive Document List

## Get company report

{% tabs %}
{% tab title="Sign" %} <mark style="color:green;">`GET`</mark> `/v1/instruments/get_company_reports`
{% endtab %}

{% tab title="Example request" %}

```
POST {{baseUrl}}/{{version}}/instruments/get_company_reports
Content-Type: application/json
X-API-KEY: <token>

{
  "perm_id": "1-4295905573",
  "start_date": "2024-02-15",
  "end_date": "2025-02-14",
  "lv3_type_id_list": [
    "10002"
  ],
  "page": 1,
  "size": 10
}
```

{% endtab %}
{% endtabs %}

Search all company report by company perm\_id.

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |
| X-API-KEY    | `<token>`          |

**Body**

| Name               | Type      | Description                       |
| ------------------ | --------- | --------------------------------- |
| `perm_id`          | string    | Perm\_id of the company           |
| `start_date`       | string    | Isin code of the company's equity |
| `end_date`         | string    | Ticker of the company's equity    |
| `lv3_type_id_list` | string\[] | List of report types              |
| `page`             | integer   | Which page                        |
| `size`             | integer   | Page size                         |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "status_code": 200,
  "data": {
    "reports": [
      {
        "report_id": "f_8cpwBjXjmmql5CM2FwprgR",
        "report_title": "10-K",
        "language": "en",
        "type_id_list": [
          "10002"
        ],
        "reported_at": "2024-11-01",
        "can_be_questioned": true,
        "attachments_pdf": [
          {
            "attachment_id": "pVzPFulH",
            "file_title": "Form 10-K",
            "file_title_en": "Form 10-K",
            "language": "en",
            "page_count": 60,
            "preview_link": "https://filing-reports.s3.amazonaws.com/reports-data/stock_us/2024/11/01/edgar-data-320193-000032019324000123-aapl-20240928.htm.pdf?AWSAccessKeyId=AKIAZ2SDT5DU46K54RGA&Signature=rigWmpZ2ujEhFDq0effSJH5UmK8%3D&Expires=1740644555"
          },
          {
            "attachment_id": "nh5tYfGl",
            "file_title": "10-K",
            "file_title_en": "10-K",
            "language": "en",
            "page_count": 14,
            "preview_link": "https://filing-reports.s3.amazonaws.com/reports-data/stock_us/2024/11/01/edgar-data-320193-000032019324000123-a10-kexhibit4109282024.htm.pdf?AWSAccessKeyId=AKIAZ2SDT5DU46K54RGA&Signature=UYNVnCC9%2BYtapUuPMqFl%2FePITmM%3D&Expires=1740644555"
          },
          {
            "attachment_id": "YYLRd39V",
            "file_title": "APPLE INC. 2022 EMPLOYEE STOCK PLAN RESTRICTED STOCK UNIT AWARD AGREEMENT",
            "file_title_en": "APPLE INC. 2022 EMPLOYEE STOCK PLAN RESTRICTED STOCK UNIT AWARD AGREEMENT",
            "language": "en",
            "page_count": 7,
            "preview_link": "https://filing-reports.s3.amazonaws.com/reports-data/stock_us/2024/11/01/edgar-data-320193-000032019324000123-a10-kexhibit10199282024.htm.pdf?AWSAccessKeyId=AKIAZ2SDT5DU46K54RGA&Signature=SdC1QT6U5ye64jPiUIhoFWoLpjw%3D&Expires=1740644555"
          },
          ...
        ]
      },
      {
        "report_id": "o_6EHx3VwgfFt4VnhQYKRgH6",
        "report_title": "Apple Inc. CONDENSED CONSOLIDATED STATEMENTS OF OPERATIONS (Unaudited)",
        "language": "en",
        "type_id_list": [
          "10002",
          "10085",
          "10089"
        ],
        "reported_at": "2024-05-02",
        "can_be_questioned": true,
        "attachments_pdf": [
          {
            "attachment_id": "LmD1CkuH",
            "file_title": "FY24_Q2_Consolidated_Financial_Statements",
            "file_title_en": null,
            "language": "en",
            "page_count": null,
            "preview_link": "https://official-reports.s3.amazonaws.com/data-system/B42E5804738080206BF4A3B215BEDED1.pdf?AWSAccessKeyId=AKIAZ2SDT5DU46K54RGA&Signature=DJB81l9Ua1VFUmlb8L4Wm32TsCc%3D&Expires=1740644555"
          }
        ]
      }
    ],
    "page": 1,
    "size": 10,
    "total": 2
  },
  "detail": null,
  "message": "success"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.orbitfin.ai/orbit-api-reference/api/retrive-document-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
